package ims.trans.util;

import java.util.List;

import ims.data.ISentence;
import ims.io.ReaderWriterFactory;
import ims.io.SentenceReader;
import ims.oracle.Configuration.TR;
import ims.oracle.IOracle;
import ims.oracle.MinimalConfiguration;
import ims.oracle.OracleFactory;
import ims.trans.Options;
import ims.trans.Options.TransitionSystem;

public class XX {

	public static void main(String[] args){
		Options options=new Options(args);
		
		SentenceReader<?> reader=ReaderWriterFactory.getTrainReader(options);
		
		IOracle o=OracleFactory.getStaticOracle(TransitionSystem.ArcSNewSwap);
		int i=1;
		for(ISentence s:reader){
			List<String> trs=o.getCanonicalSequence(s, false);
			MinimalConfiguration mc=new MinimalConfiguration(s.getGoldHeads());
			boolean seenEmpty=false;
			for(String q:trs){
				TR t=TR.fromString(q);
				if(seenEmpty && t==TR.SW)
					System.out.println("Happens in S"+i);
				mc.applyTR(t);
				if(mc.bufferSize()==0)
					seenEmpty=true;
			}
			++i;
		}
		
	}
	
}
