package ims.perceptron;

import ims.trans.Options;
import ims.util.Util;

import java.util.Random;

public class BenchmarkLong2Int {

	private static final boolean ENFORCE_POSITIVE_LONGS = true;

	public static void main(String[] args){
		Options options=new Options(args);
		long start=System.currentTimeMillis();
		Long2IntInterface l2i=Long2IntFactory.getLong2Int(options);
//		int count=0;
		Random r=new Random(3463463431l);
		for(int i=0;i<1e9;++i){
//			++count;
//			if(count%1e8==0){
//				System.out.println(count);
//			}
			long l=r.nextLong();
			if(ENFORCE_POSITIVE_LONGS && l<0)
				l=-l;
			int q=l2i.l2i(l);
			if(q<0)
				System.out.println("Negative!");
		}
		long time=System.currentTimeMillis()-start;
		System.out.println("Time: "+Util.insertCommas(time, true));
	}
	
}
