package ims.tag;

import java.io.Serializable;

import ims.hotcoref.symbols.TagSymbolTable;
import ims.perceptron.FV3;
import ims.perceptron.IFV;
import ims.tag.features.AbstractFeatureSet;
import ims.tag.features.FeatureScorer;

public interface IDecoder extends Serializable {

	public int[] decodeInstance(TagInstance instance,TagSymbolTable symTab);

	public double recoverFeaturesAndFillFV(int[] tags, TagInstance inst, AbstractFeatureSet fs, IFV<FV3> fv, FeatureScorer featureScorer);
	
}
