package ims.trans.doc;

import java.io.IOException;

import ims.data.Document;
import ims.data.ISentence;
import ims.io.DocumentReader;
import ims.io.ReaderWriterFactory;
import ims.io.SentenceWriter;
import ims.trans.Options;

public class Document2Regular {

	public static void main(String[] args) throws IOException{
		Options options=new Options(args);
		DocumentReader<?> reader=DocumentReader.getReader(options.format.sentenceClass,options.train);
		SentenceWriter writer=ReaderWriterFactory.getWriter(options.out);
		
		for(Document<?> d:reader){
			for(ISentence s:d.sents){
				writer.write(s);
			}
		}
		
		writer.close();
	}
}
